#[derive(Clone, Copy, PartialEq, Eq)]
pub enum Binding {
    Local,
    Global,
    Weak,
}

pub struct Symbol {
    pub object_index: usize,
    pub name: String,
    pub binding: Binding,
    pub address: u64,
    pub size: u64,
}
